<p id="notice"><%= notice %></p>

<h1>Lottery Topics</h1>

<table class="table">
  <thead>
    <tr>
      <th>Picture</th>
      <th>Name</th>
      <th>Title</th>
      <th>Time</th>
      <th>Date</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @lottery_topics.each do |lottery_topic| %>
      <tr>
        <td><%= image_tag(lottery_topic.avatar.url, width: 70) if lottery_topic.avatar.present?%></td>
        <td><%= lottery_topic.name %></td>
        <td><%= lottery_topic.title %></td>
        <td>
          <% lottery_topic.lottery_times.each do |time| %>
            <%= time.round_name %> <%= time.start_time %> - <%= time.end_time %><br>
          <% end %>
        </td>
        <td>
          <% lottery_topic.lottery_dates.each do |date| %>
            <%= date.day %>
          <% end %>
        </td>
        <td><%= link_to 'Show', lottery_topic %></td>
        <td><%= link_to 'Edit', edit_lottery_topic_path(lottery_topic) %></td>
        <td><%= link_to 'Destroy', lottery_topic, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Lottery Topic', new_lottery_topic_path %>
